Results 1 to 7 of 7

Thread: packagekit version for KDE 4.5

  1. #1
    Join Date
    Nov 2009
    Location
    Santiago, Chile
    Posts
    171

    Default packagekit version for KDE 4.5

    Trying to upgrade to KDE SC 4.5 beta2 when Yast shows up a dependency error saying that it can't find a source for the packagekit v0.6.3.
    The current version is the 0.5.1 and seems that this upgrade needs that newer version of the packagekit (seeing in dependencies tab).

    What repo am I missing here?
    HP pavilion dv6-6185la - Intel i7 - AMD Radeon 6770M - openSUSE 12.2 - KDE 4.9

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: packagekit version for KDE 4.5

    It is in the repo.
    Post result of

    Code:
    zypper lr -d
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3
    Join Date
    Nov 2009
    Location
    Santiago, Chile
    Posts
    171

    Default Re: packagekit version for KDE 4.5

    Quote Originally Posted by caf4926 View Post
    It is in the repo.
    Post result of

    Code:
    zypper lr -d
    Code:
    hernan@linux-cs0p:~> zypper lr -d
    # | Alias                               | Nombre                               | Activado | Actualizar | Prioridad | Tipo   | URI                                                                                                | Servicio
    --+-------------------------------------+--------------------------------------+----------+------------+-----------+--------+----------------------------------------------------------------------------------------------------+---------
    1 | KDE:KDE4:Unstable:Community         | KDE:KDE4:Unstable:Community          | Si       | No         |   99      | rpm-md | http://download.opensuse.org/repositories/KDE:/KDE4:/Community/openSUSE_11.2_KDE4_UNSTABLE_Desktop |
    2 | KDE:KDE4:Unstable:Desktop           | KDE:KDE4:Unstable:Desktop            | Si       | No         |   99      | rpm-md | http://download.opensuse.org/repositories/KDE:/KDE4:/UNSTABLE:/Desktop/openSUSE_11.2               |
    3 | http-download.opensuse.org-9f890524 | Actualizaciones para openSUSE 11.2-0 | Si       | No         |   99      | rpm-md | http://download.opensuse.org/update/11.2/                                                          |
    4 | openSUSE 11.2-0                     | openSUSE 11.2-0                      | Si       | No         |   99      | yast2  | cd:///                                                                                             |
    5 | repo-debug                          | openSUSE-11.2-Debug                  | No       | No         |   99      | NONE   | http://download.opensuse.org/debug/distribution/11.2/repo/oss/                                     |
    6 | repo-non-oss                        | openSUSE-11.2-Non-Oss                | Si       | No         |   99      | yast2  | http://download.opensuse.org/distribution/11.2/repo/non-oss/                                       |
    7 | repo-oss                            | openSUSE-11.2-Oss                    | Si       | No         |   99      | yast2  | http://download.opensuse.org/distribution/11.2/repo/oss/                                           |
    8 | repo-source                         | openSUSE-11.2-Source                 | Si       | No         |   99      | yast2  | http://download.opensuse.org/source/distribution/11.2/repo/oss/
    Note: Forget the update disable as it's just because of "slow" connection. I always use them up to date doing it manually
    HP pavilion dv6-6185la - Intel i7 - AMD Radeon 6770M - openSUSE 12.2 - KDE 4.9

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: packagekit version for KDE 4.5

    You need to switch refresh on

    Code:
    1 | KDE:KDE4:Unstable:Community         | KDE:KDE4:Unstable:Community          | Si       | Si         |   99      | rpm-md | Index of /repositories/KDE:/KDE4:/Community/openSUSE_11.2_KDE4_UNSTABLE_Desktop |
    2 | KDE:KDE4:Unstable:Desktop           | KDE:KDE4:Unstable:Desktop            | Si       | Si         |   99      | rpm-md | Index of /repositories/KDE:/KDE4:/UNSTABLE:/Desktop/openSUSE_11.2               |
    3 | http-download.opensuse.org-9f890524 | Actualizaciones para openSUSE 11.2-0 | Si       | No         |   99      | rpm-md | Index of /update/11.2                                                          |
    4 | openSUSE 11.2-0                     | openSUSE 11.2-0                      | Si       | No         |   99      | yast2  | cd:///                                                                                             |
    5 | repo-debug                          | openSUSE-11.2-Debug                  | No       | No         |   99      | NONE   | Index of /debug/distribution/11.2/repo/oss                                     |
    6 | repo-non-oss                        | openSUSE-11.2-Non-Oss                | Si       | Si         |   99      | yast2  | Index of /distribution/11.2/repo/non-oss                                       |
    7 | repo-oss                            | openSUSE-11.2-Oss                    | Si       | Si         |   99      | yast2  | Index of /distribution/11.2/repo/oss                                           |
    8 | repo-source                         | openSUSE-11.2-Source                 | Si       | No         |   99      | yast2  | Index of /source/distribution/11.2/repo/oss
    Then do the equivalent of this
    ImageBam - Fast, Free Image Hosting and Photo Sharing
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: packagekit version for KDE 4.5

    I just realized you are doing this in 11.2
    I'm running in 11.3
    So I don't know what it's like in 11.2

    Also you should enable refresh on the update repo also. I missed that one.
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  6. #6
    Join Date
    Nov 2009
    Location
    Santiago, Chile
    Posts
    171

    Post Re: packagekit version for KDE 4.5

    Quote Originally Posted by caf4926 View Post
    I just realized you are doing this in 11.2
    I'm running in 11.3
    So I don't know what it's like in 11.2

    Also you should enable refresh on the update repo also. I missed that one.
    Ahh you're right.
    packagekit package v0.6.3 is only available in openSUSE:Factory so can't just get it on stable 11.2 repos.
    Now the solution is quite simple, let's try 11.3 M7

    By the way, do you know how is it working on a vm? (virtualbox).

    Thanks caf!
    HP pavilion dv6-6185la - Intel i7 - AMD Radeon 6770M - openSUSE 12.2 - KDE 4.9

  7. #7
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: packagekit version for KDE 4.5

    The release candidate is out later this week.
    So you might want to wait?

    Re: Virtual Box
    Not too sure. But there are plenty of threads in the beta section which may have info.
    If it works it works and if it doesn't it doesn't - in vbox it really doesn't matter, because you can just rip it up and start again.
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •